Subject: Re: [Qemu-devel] tap devices not receiving packets from a bridge

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 12 Feb 2013 12:43:31 +0200

On Tue, Feb 12, 2013 at 11:11:45AM +0100, Peter Lieven wrote:
> 
> Am 12.02.2013 um 10:54 schrieb "Michael S. Tsirkin" <[email-masked]>:
> 
> > On Tue, Feb 12, 2013 at 01:39:07PM +0400, Michael Tokarev wrote:
> >> 12.02.2013 13:10, Peter Lieven wrote:
> >> []
> >> 
> >> Guys, can we please trim the excessive quoting just a bit? ;)
> >> 
> >>>>> If have set this option for 2 weeks now and not seen this problem again.
> >>>>> How does this flag work with the recently added tap multiqueue support?
> >> 
> >>>> This will be the only option in 3.8.
> >> 
> >>> Ok, but wouldn`t it be good to set it in qemu for kernels <3.8?
> >> 
> >> I'd say for kernels without mq support, not for <3.8, right? :)
> >> 
> >> Thanks,
> >> 
> >> /mjt
> > 
> > It's harmless to always set this flag, on 3.8 it does nothing.
> 
> And kernels <3.8 do not have multi queue support?
> 
> Peter

Let's be specific. Multiqueue support in qemu uses TUNSETQUEUE ioctl.
No kernel released by Linus so far has support for this ioctl in tun device,
but it has been merged so should be in 3.8.

> > -- 
> > MST